Vector Stores
Create Vector Store
POST
Create a vector store.
Request Body
string
The name of the vector store.
array
A list of File IDs that the vector store should use. Useful for tools like
file_search that can access files.string
A description for the vector store. Can be used to describe the vector store’s purpose.
object
The expiration policy for a vector store.
object
The chunking strategy used to chunk the file(s). If not set, will use the
auto strategy. Only applicable if file_ids is non-empty.object
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format.Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
Response
Returns aVectorStore object.
string
The identifier, which can be referenced in API endpoints.
string
The object type, always
vector_store.string
The name of the vector store.
string
The status of the vector store. One of:
expiredin_progresscompleted
object
Counts of files by status.
integer
The Unix timestamp (in seconds) for when the vector store was created.
integer
The total number of bytes used by the files in the vector store.